<template>
  <div class="home">
    <div class="top" v-if="codeurl !==''">
      <img class="pic" :src="photourl"/>
      <div class="name">{{consultantName}}</div>
      <div class="storeName">{{storeName}}</div>
      <img :src="code" class="code" @click="getcode"/>
    </div>
    <div class="down">
      <v-textlist :text="text"></v-textlist>
    </div>
    <div class="hintbox"  style="width:100%;height:100%;position:absolute" v-if="show">
        <div class="hintboxBG" >
          <div class="hintboxCT">
            <div class="box">
             <div class="img">
               <image  mode="widthFix" :src="codeurl" style="width:125px;height:125px" v-if="codeurl !==''"></image>
              <canvas style="width:125px;height:125px;position: absolute;top: 0px;margin: 0rpx -9999px;" canvas-id="mycanvas" ></canvas>
             </div>
            </div>
            <div class="btn" @click.stop.prevent="saveimg()">扫码获取GIADA专属服务</div>
          </div>
        </div>
        <div class="close" @click="closebtn">
            <img :src="close" alt="" >
        </div>
        <!-- <div class="background" ></div> -->
        <div class="mask"></div>
      </div>
    
  </div>
</template>

<script>
// import {get} from '@/utils/request'
import QR from '@/utils/qrCode.js'
 import areadata from '@/utils/area.js'
 import config from '@/config'
 import store from '@/store'
import top from '@/components/top/top.vue'
import textlist from '@/components/textlist/textlist.vue'
import {VeevlinkLogin,VeevlinkIslogin,VeevlinkClient,VeevlinkData} from '@/utils/base'
export default {
  data () {
    return {
      path:'',
      codeurl:'',
      imagePath:'',
      close:config.url+'close.png',
      show:false,
      text:[
        {
          title:'试衣预约',
          text:'',
          id:''
        },
        {
          title:'试衣预约记录',
          text:'',
          id:''
        },
        {
          title:'售后服务',
          text:'',
          id:''
        },
        {
          title:'拨打电话',
          text:'',
          id:''
        },
      ],
      datas:{},
      photourl:'',
      consultantName:'',
      storeName:'',
      code:config.url +'code.png'
    }
  },
  components:{
      'v-textlist' : textlist
    },
  methods: {
    saveimg(){
      let that = this;
      console.log('保存图片到相册');
wx.getImageInfo({
        src: this.codeurl,
        success: function (res) {
          console.log('回调',res.path);
          that.path = res.path;
          wx.getSetting({
            success(res) {
              console.log('允许');
              wx.saveImageToPhotosAlbum({
                      filePath: that.path,
                      success(result) {
                        console.log('保存结果',result);
                        wx.showToast({
                        title: '保存成功！',
                        icon: 'success',
                        duration: 2000
                      })
                      }
              })
              if (!res.authSetting['scope.writePhotosAlbum']) {
                wx.authorize({
                  scope: 'scope.writePhotosAlbum',
                  success() {
                    wx.saveImageToPhotosAlbum({
                      filePath: that.path,
                      success(result) {
                        console.log('保存结果',result)
                      }
                    })
                  }
                })
              }
            }
          })
        }
      })
    },
    //生成二维码
        createQrCode: function (canvasId, cavW, cavH) {
        //调用插件中的draw方法，绘制二维码图片
        QR.api.draw(this.codeurl, 'mycanvas', '125', '125');
        setTimeout(() => { this.canvasToTempImage(); }, 500);
      },
      canvasToTempImage: function () {
        var that = this;
        wx.canvasToTempFilePath({
            canvasId: 'mycanvas',
            success: function (res) {
                var tempFilePath = res.tempFilePath;
                console.log('生成临时图片路径。。。。',tempFilePath);
                that.imagePath = tempFilePath;
                
              },
              fail: function (res) {
                  console.log(res);
              }
        });
      },
    closebtn(){
            console.log('关闭');
            this.show = false;
          },
    //获取二维码图片
    getcode(){
      console.log('查看二维码');
      // this.createQrCode();
      this.show = true;



    },
    //获取信息
    getAjax(data){
        let that = this;
        let VerificationCodeEntity =  wx.getStorageSync('informationwx23bcedfe9e867c13');
        let memberId = wx.getStorageSync('memberid');
        VeevlinkClient(
          '/member/consultant/info?openId='+VerificationCodeEntity.OpenId + '&memberId='+data.memberid,
          'GET',
          '',
          function (data) {
            console.log(data);
            if(data.success){
              if(data.records[0]){
                that.datas = data.records[0];
                console.log('555',that.datas);
                if(that.datas.consultantInfo.consultantAcatar){
                  let url = that.datas.consultantInfo.consultantAcatar.replace(/&amp;/g,"&");
                  var b = url.split('/');
                  console.log('url',b);
                  that.photourl = 'http://redstone-uat-site.veevlink.com/'+b[3]+'/'+b[4]+'/'+b[5];
                  console.log('photourl',that.photourl);
                }
                if(that.datas.consultantInfo.consultantQrcode){
                  var url1 = that.datas.consultantInfo.consultantQrcode.replace(/&amp;/g,"&");
                  var b1 = url1.split('/');
                  console.log('url',b1);
                  that.codeurl = 'http://redstone-uat-site.veevlink.com/'+b1[3]+'/'+b1[4]+'/'+b1[5];
                  console.log('saveimg',that.codeurl);
                  if(that.codeurl === null){
                    that.codeurl = '';
                  }
                }
                that.consultantName = that.datas.consultantInfo.consultantName;
                that.storeName = that.datas.serviceInfo.storeName;
                that.text[0].id = that.datas.serviceInfo.storeId;
                that.text[0].text = that.storeName;
                that.text[2].id = that.datas.serviceInfo.storeId;
                that.text[2].text = that.storeName;
                store.commit('add',['service','service',that.datas.serviceInfo.serviceType])
              }else{
                
              }
              
            }else{
              console.log('失败',success.message);
              that.hintbox.show = true;
              that.hintbox.text = success.message;
            }
          },
          function (error) {
            console.log(error);
          })
      }
    
  },
  onLoad (data) {
    console.log('id',data.memberid);
    this.getAjax(data);
    
    console.log('22');
  }
}
</script>
<style >
page{
  background:#fff;
}
</style>

<style lang="scss"  type="text/scss" scoped>
.home{
  .top{
    width:100%;
    height:4.8rem;
    //border:1px solid #000;
    text-align:center;
    .pic{
      width:1.54rem;
      height:1.54rem;
      border-radius:50%;
      margin-top:0.47rem;
    }
     .code{
      width:0.44rem;
      height:0.44rem;
      margin-top:0.32rem;
    }
    .name{
      margin-top:0.36rem; 
      font-size:0.3rem;
      color:#727171;
    }
    .storeName{
      margin-top:0.36rem;
      font-size:0.22rem;
      color:#BFBFBF;
    }
  }
  .hintboxBG {
    position: fixed;
    z-index: 1001;
    top: 2.2rem;
    left: 1.2rem;
    width: 5.12rem;
     
  }
  .close{
    margin-top:4.6rem;
    z-index: 9999;
    img{
      width: 0.68rem;
      height: 0.68rem;
      margin: 0 auto;
    }
  }
  .mask{
    background-color: rgba(0, 0, 0, 0.6);
    width: 100%;
    height: 100%;
    z-index:999;
    position:fixed;
    top:0;
  }

  .hintboxCT {
    position: relative;
    display: flex;
    flex-wrap: wrap;
    align-items: center;
    justify-content: center;
    height: 5.12rem;
    background: #fff;
    border-top-left-radius:0.1rem;
    border-top-right-radius:0.1rem;
  }
  .box{
    height: 4.32rem;
    width: 100%;
    //line-height: 0.54rem;
    text-align: center;
    .img{
      margin:0.88rem 1.31rem;
      width:2.51rem;
      height:2.51rem;
    }
   
  }


  .hintbox .text, .hintbox .btn {
    position: relative;
    background-color: #fff;
    z-index: 1001;
  }

  .hintbox{
    display: flex;
    align-items: center;
    justify-content: center;
    top: 0rem;
    word-break: break-all;
    width: 100%;
    // min-height: 1.64rem;
    // max-height: 6.5rem;
    overflow-y: scroll;
    // padding: 0.2rem;
    color: #000;
    font-size: 0.32rem;
    line-height: .40rem;
    letter-spacing: 0.01rem;
    box-sizing: border-box;
    border-radius: 0.1rem 0.1rem 0 0;
  }

  .hintbox .btn {
    border-top: 1px solid #D8D8D8;
    width: 100%;
    height: 0.8rem;
    text-align: center;
    line-height: 0.8rem;
    font-size: 0.28rem;
    color: #727171;
    //border-radius: 0 0 0.1rem 0.1rem;
    background: #E3E3E3;
  }

  .background {
    z-index: 1000;
    background-color: #000;
    opacity: 0.4;
  }
}
</style>
